### Constructor

# Gegl Path new_from_string

#### Declaration [src]

    GeglPath*
    gegl_path_new_from_string (
      const gchar* instructions
    )

#### Description [src]

Creates a new `GeglPath` with the nodes described in the string `instructions`. See `gegl_path_parse_string()` for details of the format of the string.

Returns the newly created `GeglPath`.

#### Parameters

`instructions`

  Type: `const gchar*`

  A string describing the path.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GeglPath`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.